:root {

  --base-bg: #03060D;
  --base-txt: #dae2fd;

  --details-cta-contact-bg: #ff8a00;
  --details-cta-contact-details-bg: #2d3449;
  --details-cta-contact-details-border: rgb(217 185 255 / 0.3);
  --details-cta-contact-details-checkmark: #d9b9ff;
  --details-cta-contact-details-shadow: black;
  --details-cta-contact-hover-shadow: rgba(255, 138, 0, 0.4);
  --details-cta-contact-txt: #03060d;
  --details-headline: #bdf4ff;
  --details-intro: #cec2d6;

  --headline-highlight: #cda4ff;

  --scrollbar-thumb: #888888;
  --scrollbar-thumb-hover: #a9a9a9;

}

body {
  background-color: var(--base-bg);
  color: var(--base-txt);
}

.custom-scrollbar::-webkit-scrollbar {
  width: 7px;
  height: 7px;
}

.custom-scrollbar::-webkit-scrollbar-track {
  -webkit-border: none;
  border: none;
  -webkit-border-radius: 10px;
  border-radius: 10px;
  background-color: transparent;
}

.custom-scrollbar::-webkit-scrollbar-thumb {
  -webkit-border-radius: 10px;
  border-radius: 10px;
  background-color: var(--scrollbar-thumb);
}

.custom-scrollbar::-webkit-scrollbar-thumb:hover {
  background-color: var(--scrollbar-thumb-hover);
}

header {
  position: relative;

  display: flex;
  align-items: center;
  flex-direction: row;
  justify-content: space-between;

  background-color: transparent;
  padding: 1rem 3rem;
  width: 100%;
}

.header-lang-container {
  position: relative;
  font-size: smaller;
}

.header-lang-container.header-lang-picker-visible {
  color: var(--active-txt);
}

.header-lang-main-button {
  position: relative;

  display: flex;
  align-items: center;
  flex-direction: row;
  gap: 0.5rem;

  border-radius: 0.5rem;
  color: var(--details-txt);
  padding: 0.2rem;

  cursor: pointer;
}

.header-lang-main-button:hover {
  background-color: var(--header-lang-button-hover-bg);
}

.header-lang-container.header-lang-picker-visible>.header-lang-main-button {
  color: var(--active-txt);
}

.header-lang-main-button-title {
  font-weight: 700;
}

.header-lang-main-button-caret {
  font-size: smaller;
}

.header-lang-container.header-lang-picker-visible>.header-lang-main-button>.header-lang-main-button-caret {
  transform: rotate(180deg);
}

.header-lang-picker {
  position: absolute;
  left: auto;
  right: 0;
  top: 100%;
  bottom: auto;

  background-color: transparent;
  opacity: 0;
  padding-top: 0.5rem;
  visibility: hidden;

  transition-duration: 200ms;
  transition-property: all;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
}

.header-lang-container.header-lang-picker-visible>.header-lang-picker {
  opacity: 1;
  visibility: visible;
}

.header-lang-picker-content {
  background-color: var(--header-lang-picker-bg);
  border: 1px solid var(--header-lang-picker-border);
  border-radius: 0.75rem;
  box-shadow: 0 1rem 2rem -1rem var(--header-lang-picker-shadow);
  padding: 0.5rem;
}

.header-lang-picker-selection {
  padding: 0.5rem 1rem;
}

.header-lang-picker-selection:hover {
  background-color: var(--header-lang-selection-hover-bg);
  color: var(--active-txt);
}

main {
  position: relative;

  margin-left: auto;
  margin-right: auto;
  max-width: 1280px;
  padding: 1rem;
  width: 100%;
}

.main-headline {
  display: block;

  font-family: Montserrat;
  font-size: 2rem;
  font-weight: 700;
  margin: 0 auto;
  padding: 0;
  text-align: center;
  width: 100%;
}

.main-headline-highlight {
  color: var(--headline-highlight);
}

.main-content {
  position: relative;
  margin-top: 1rem;
}

.main-content-image {
  border-radius: 0.25rem;
  mask-image: linear-gradient(transparent 0%, black 15%, black 85%, transparent 100%), linear-gradient(to right, transparent 0%, black 10%, black 90%, transparent 100%);
  mask-composite: intersect;
  overflow: hidden;
}

.main-content-image>img {
  display: block;

  height: auto;
  width: 100%;
  max-width: 100%;
  object-fit: contain;
  opacity: 0.75;
}

.main-content-details {
  text-align: center;
}

.main-content-details-intro {
  color: var(--details-intro);
  line-height: 1.5;
  margin: 0;
}

.main-content-details-headline {
  color: var(--details-headline);
  font-family: Montserrat;
  font-size: 1.25rem;
  font-style: italic;
  font-weight: 600;
  margin: 1rem 0;
  padding: 0;
}

.main-content-details-cta {
  display: flex;
  align-items: center;
  justify-content: center;

  font-size: larger;
}

.main-content-details-cta-contact {
  position: relative;

  background-color: var(--details-cta-contact-bg);
  border-radius: 0.25rem;
  color: var(--details-cta-contact-txt);
  padding: 1rem 2rem;

  transition-duration: 150ms;
  transition-property: all;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);

  cursor: pointer;
}

.main-content-details-cta-contact:hover {
  box-shadow: 0 0 20px var(--details-cta-contact-hover-shadow);
  transform: scale(1.03);
}

.main-content-details-cta-contact:active {
  transform: scale(0.95);
}

#btn_contact_details {
  position: absolute;
  top: auto;
  bottom: 100%;
  left: 50%;
  right: auto;
  transform: translateX(-50%);

  display: none;
  align-items: center;
  justify-content: center;
  gap: 0.5rem;

  background-color: var(--details-cta-contact-details-bg);
  border: 1px solid var(--details-cta-contact-details-border);
  border-radius: 0.25rem;
  box-shadow: 0px 5px 25px -5px var(--details-cta-contact-details-shadow);
  color: var(--base-txt);
  font-size: smaller;
  margin-bottom: 10px;
  padding: 0.5rem 1rem;
  white-space: nowrap;
}

.btn-contact-details-arrow {
  position: absolute;
  top: auto;
  bottom: -7px;
  left: 50%;
  right: auto;
  transform: translateX(-50%) rotate(45deg);

  background-color: var(--details-cta-contact-details-bg);
  border-bottom: 1px solid var(--details-cta-contact-details-border);
  border-right: 1px solid var(--details-cta-contact-details-border);

  height: 12px;
  width: 12px;
}

.btn-contact-details-checkmark {
  color: var(--details-cta-contact-details-checkmark);
}

/* Medium devices: Large Tablets / iPads (768px and up) */
@media (min-width: 768px) {
  .main-headline {
    font-size: 3rem;
    max-width: 90%;
  }

  .main-content-details-intro {
    font-size: 1.15rem;
  }

  .main-content-details-headline {
    font-size: 1.5rem;
  }
}

/* Large devices: Laptops / Small Desktops (1024px and up) */
@media (min-width: 1024px) {
  .main-content-details {
    position: absolute;
    top: 0;
    bottom: auto;
    left: 0;
    right: 0;
  }
}